%define real_version 0.8.0
%define pre_release pre1

Name: ht
Version: %real_version
Release: alt1.%pre_release

Summary: ncurses-based file viewer/editor/analyzer/disassembler
Group: Development/Other
License: GPL
Url: http://hte.sourceforge.net
Packager: Ivan Fedorov <ns@altlinux.ru>

Source: %name-%real_version%pre_release.tar.bz2

# Automatically added by buildreq on Fri May 21 2004
BuildRequires: flex gcc-c++ libncurses-devel libstdc++-devel libtinfo-devel

%description
HT is a file editor/viewer/analyzer for executables. The goal is to combine the
low-level functionality of a debugger and the usability of IDEs. We plan to
implement all (hex-)editing features and support of the most important file
formats.

%prep
%setup -q -n %name-%real_version%pre_release

%build
%__autoconf
%configure --prefix=%prefix --disable-x11-textmode --enable-release
%make

%install
%__mkdir_p %buildroot%_docdir/%name-%real_version%pre_release/
%makeinstall
%__install -m0644 doc/README  %buildroot%_docdir/%name-%real_version%pre_release/
%__install -m0644 doc/ht.texi %buildroot%_docdir/%name-%real_version%pre_release/
%__install -m0644 doc/ht.html %buildroot%_docdir/%name-%real_version%pre_release/

%files
%_bindir/ht
%doc %_docdir/%name-%real_version%pre_release/*

%changelog
* Fri May 21 2004 Ivan Fedorov <ns@altlinux.ru> 0.8.0-alt1.pre1
- First build for Sisyphus.
